path: /build/build/hpack-dev-python-4.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/hpack -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/hpack
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hpack && luet-portage --dir /pkgdir/hpack
    dev-python/hpack && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9a3fbba2f3bface9028bc968cdfebd5f5a916316701998681c64b7ac0b6a1dee
  package:
    name: hpack
    version: 4.0.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race14
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Pure-Python HPACK header compression
    uri:
    - https://github.com/python-hyper/hpack https://pypi.org/project/hpack/
    license: MIT
    buildtimestamp: 2023-09-07 20:51:08.650229921 +0000 UTC m=+86.210509415
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/hpack
      kit: python-modules-kit
      original.package.name: dev-python/hpack
      original.package.slot: "0"
      original.package.version: 4.0.0
    treedir: /build/packages
  package_dir: /pkgdir/hpack
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3036f28a0f51a91af83c4eb654a75eb3c705ff7b5518c47fd56b18b06e285dc0
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/hpack/__init__.py
- usr/lib/python3.9/site-packages/hpack/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/hpack.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/hpack.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/hpack.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman_constants.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman_constants.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman_constants.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman_table.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman_table.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/huffman_table.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/struct.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/struct.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/struct.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/table.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/table.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hpack/__pycache__/table.cpython-39.pyc
- usr/lib/python3.9/site-packages/hpack/exceptions.py
- usr/lib/python3.9/site-packages/hpack/hpack.py
- usr/lib/python3.9/site-packages/hpack/huffman.py
- usr/lib/python3.9/site-packages/hpack/huffman_constants.py
- usr/lib/python3.9/site-packages/hpack/huffman_table.py
- usr/lib/python3.9/site-packages/hpack/struct.py
- usr/lib/python3.9/site-packages/hpack/table.py
- usr/lib/python3.9/site-packages/hpack-4.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/hpack-4.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/hpack-4.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/hpack-4.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/hpack-4.0.0-py3.9.egg-info/top_level.txt
- usr/share/doc/hpack-4.0.0/README.rst.bz2
- var/db/pkg/dev-python/hpack-4.0.0/BDEPEND
- var/db/pkg/dev-python/hpack-4.0.0/BUILD_TIME
- var/db/pkg/dev-python/hpack-4.0.0/CATEGORY
- var/db/pkg/dev-python/hpack-4.0.0/CBUILD
- var/db/pkg/dev-python/hpack-4.0.0/CFLAGS
- var/db/pkg/dev-python/hpack-4.0.0/CHOST
- var/db/pkg/dev-python/hpack-4.0.0/CONTENTS
- var/db/pkg/dev-python/hpack-4.0.0/COUNTER
- var/db/pkg/dev-python/hpack-4.0.0/CXXFLAGS
- var/db/pkg/dev-python/hpack-4.0.0/DEFINED_PHASES
- var/db/pkg/dev-python/hpack-4.0.0/DESCRIPTION
- var/db/pkg/dev-python/hpack-4.0.0/EAPI
- var/db/pkg/dev-python/hpack-4.0.0/FEATURES
- var/db/pkg/dev-python/hpack-4.0.0/HOMEPAGE
- var/db/pkg/dev-python/hpack-4.0.0/INHERITED
- var/db/pkg/dev-python/hpack-4.0.0/IUSE
- var/db/pkg/dev-python/hpack-4.0.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/hpack-4.0.0/KEYWORDS
- var/db/pkg/dev-python/hpack-4.0.0/LDFLAGS
- var/db/pkg/dev-python/hpack-4.0.0/LICENSE
- var/db/pkg/dev-python/hpack-4.0.0/PF
- var/db/pkg/dev-python/hpack-4.0.0/RDEPEND
- var/db/pkg/dev-python/hpack-4.0.0/SIZE
- var/db/pkg/dev-python/hpack-4.0.0/SLOT
- var/db/pkg/dev-python/hpack-4.0.0/USE
- var/db/pkg/dev-python/hpack-4.0.0/environment.bz2
- var/db/pkg/dev-python/hpack-4.0.0/hpack-4.0.0.ebuild
- var/db/pkg/dev-python/hpack-4.0.0/repository
package_cacheimage: ""
runtime:
  name: hpack
  version: 4.0.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Pure-Python HPACK header compression
  uri:
  - https://github.com/python-hyper/hpack https://pypi.org/project/hpack/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/hpack
    kit: python-modules-kit
    original.package.name: dev-python/hpack
    original.package.slot: "0"
    original.package.version: 4.0.0
